<?php
/* Copyright (C) 2017 Laurent Destailleur  <eldy@users.sourceforge.net>
 * Copyright (C) ---Put here your own copyright and developer email---
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
/**
 *   	\file       htdocs/modultest/card.php
 *		\ingroup    moduletest
 *		\brief      Page to create my object
 */

// Load Dolibarr environment
$res=0;
// Try main.inc.php into web root known defined into CONTEXT_DOCUMENT_ROOT (not always defined)
if (! $res && ! empty($_SERVER["CONTEXT_DOCUMENT_ROOT"])) $res=@include($_SERVER["CONTEXT_DOCUMENT_ROOT"]."/main.inc.php");
// Try main.inc.php into web root detected using web root caluclated from SCRIPT_FILENAME
$tmp=empty($_SERVER['SCRIPT_FILENAME'])?'':$_SERVER['SCRIPT_FILENAME'];$tmp2=realpath(__FILE__); $i=strlen($tmp)-1; $j=strlen($tmp2)-1;
while($i > 0 && $j > 0 && isset($tmp[$i]) && isset($tmp2[$j]) && $tmp[$i]==$tmp2[$j]) { $i--; $j--; }
if (! $res && $i > 0 && file_exists(substr($tmp, 0, ($i+1))."/main.inc.php")) $res=@include(substr($tmp, 0, ($i+1))."/main.inc.php");
if (! $res && $i > 0 && file_exists(dirname(substr($tmp, 0, ($i+1)))."/main.inc.php")) $res=@include(dirname(substr($tmp, 0, ($i+1)))."/main.inc.php");
// Try main.inc.php using relative path
if (! $res && file_exists("../main.inc.php")) $res=@include("../main.inc.php");
if (! $res && file_exists("../../main.inc.php")) $res=@include("../../main.inc.php");
if (! $res && file_exists("../../../main.inc.php")) $res=@include("../../../main.inc.php");
if (! $res) die("Include of main fails");

include_once(DOL_DOCUMENT_ROOT.'/core/class/html.formcompany.class.php');
include_once(DOL_DOCUMENT_ROOT.'/core/class/html.formfile.class.php');
dol_include_once('/moduletest/class/myobject.class.php');
dol_include_once('/moduletest/lib/myobject.lib.php');

// Load traductions files requiredby by page
$langs->loadLangs(array("moduletest@moduletest","other"));

// Get parameters
$id			= GETPOST('id', 'int');
$ref        = GETPOST('ref', 'alpha');
$action		= GETPOST('action', 'alpha');
$cancel     = GETPOST('cancel', 'aZ09');
$backtopage = GETPOST('backtopage', 'alpha');

// Initialize technical objects
$object=new MyObject($db);
$extrafields = new ExtraFields($db);
$diroutputmassaction=$conf->moduletest->dir_output . '/temp/massgeneration/'.$user->id;
$hookmanager->initHooks(array('myobjectcard'));     // Note that conf->hooks_modules contains array

// Fetch optionals attributes and labels
$extralabels = $extrafields->fetch_name_optionals_label('myobject');
$search_array_options=$extrafields->getOptionalsFromPost($extralabels,'','search_');

// Initialize array of search criterias
$search_all=trim(GETPOST("search_all",'alpha'));
$search=array();
foreach($object->fields as $key => $val)
{
    if (GETPOST('search_'.$key,'alpha')) $search[$key]=GETPOST('search_'.$key,'alpha');
}
if (empty($action) && empty($id) && empty($ref)) $action='view';

// fetch optionals attributes and labels
$extralabels = $extrafields->fetch_name_optionals_label($object->table_element);
// Load object
include DOL_DOCUMENT_ROOT.'/core/actions_fetchobject.inc.php';  // Must be include, not include_once  // Must be include, not include_once. Include fetch and fetch_thirdparty but not fetch_optionals
/*
 * Actions
 *
 * Put here all code to do according to value of "action" parameter
 */

// If create a request
if ($action == 'create')
{
        $object = new FormFile($db);

        $db->begin();

            $nom = GETPOST('nom');
	       	$prenom = GETPOST('prenom');
	       	$datenaissance = dol_mktime(0, 0, 0, GETPOST('datenaissance_month'), GETPOST('datenaissance_day'), GETPOST('datenaissance_year'));
            $adresse=GETPOST('adresse');
            $codepostal=GETPOST('codepostal');
	    	    $fk_country=GETPOST('fk_country');

	    // If no name
            if (empty($nom))
            {
                setEventMessages($langs->trans("Pas de nom"), null, 'errors');
                $error++;
                $action='create';
            }

	    // If no firstname
            if (empty($prenom))
            {
                setEventMessages($langs->trans("Pas de prénom"), null, 'errors');
                $error++;
                $action='create';
            }

	    // If no birthday
            if (empty($datenaissance))
            {
                setEventMessages($langs->trans("Pas de date de naissance"), null, 'errors');
                $error++;
                $action='create';
            }

	    // If no address
            if (empty($adresse))
            {
                setEventMessages($langs->trans("Pas d'adresse"), null, 'errors');
                $error++;
                $action='create';
            }

	    // If no code postal
            if (empty($codepostal))
            {
                setEventMessages($langs->trans("Pas de code postal"), null, 'errors');
                $error++;
                $action='create';
            }

	 // If no country
            if (empty($fk_country))
            {
                setEventMessages($langs->trans("Pas de pays"), null, 'errors');
                $error++;
                $action='create';
            }


            $result = 0;

            if (! $error)
            {
		    print "Il n'y a pas d'erreurs";
	            $object->nom = $nom;
	            $object->prenom = $prenom;
	            $object->datenaissance = $datenaissance;
	            $object->adresse = $adresse;
	            $object->codepostal = $codepostal;
	            $object->fk_country = $fk_country;
                	$result = $object->create($myobject);
             if ($result <= 0)
                {
                        setEventMessages($object->errors, 'errors');
                        $error++;
			print "Il y a des erreurs";
                }
                             
            }

// If no SQL error we redirect to the request card
            if (! $error)
            {
                $db->commit();

                header('Location: '.DOL_URL_ROOT.'/moduletest/index.php');
                exit;
            }
            else
                {
                $db->rollback();
            }
}


/*
 * View
 *
 * Put here all code to build page
 */

$form=new Form($db);
$formfile=new FormFile($db);
llxHeader('', $langs->trans('Formulaire de test'));


// Part to create
if ($action == 'create')
{
	// Formulaire de demande de congés payés
	    print load_fiche_titre($langs->trans('Formulaire de test'), '', 'title_hrm.png');

	// Formulaire de demande
	    print '<form method="POST" action="'.$_SERVER['PHP_SELF'].'" onsubmit="return valider()" name="Formulaire de test">'."\n";
	    print '<input type="hidden" name="action" value="create" />'."\n";

	    dol_fiche_head();

        print '<table class="border" width="100%">';
        print '<tbody>';

    // Nom
        print '<tr>';
        print '<td class="fieldrequired">'.$langs->trans("Nom").'</td>';
        print '<td>';
        print '<input type="text" name="nom" value="'.$object->nom.'">';
        print '</td></tr>';

    // Prenom
        print '<tr>';
        print '<td class="fieldrequired">'.$langs->trans("Prenom").'</td>';
        print '<td>';
        print '<input type="text" name="prenom" value="'.$object->prenom.'">';
        print '</td></tr>';

	// Date Naissance
        print '<tr>';
        print '<td class="fieldrequired">'.$langs->trans("Date de Naissance").'</td>';
        print '</td>';
	print '<td>';
	print $form->select_date(GETPOST('datenaissance'),'datenaissance',0,0,1,'form'.'datenaissance',1,0,1);
        print '</td>';
        print '</tr>';

	// Adresse
        print '<tr>';
        print '<td class="fieldrequired">'.$langs->trans("Adresse").'</td>';
        print '<td>';
        print '<input type="text" name="adresse" value="'.$object->adresse.'">';
		print '</td></tr>';

	// Code Postal
        print '<tr>';
        print '<td class="fieldrequired">'.$langs->trans("Code Postal").'</td>';
        print '<td>';
        print '<input type="text" name="codepostal" value="'.$object->codepostal.'">';
        print '</td></tr>';

	// Country
        	print '<tr><td>'.fieldLabel('Pays','selectcountry_id').'</td><td class="maxwidthonsmartphone">';
        	print $form->select_country((GETPOST('country_id')!=''?GETPOST('country_id'):$object->fk_country));
        	if ($user->admin) print info_admin($langs->trans("YouCanChangeValuesForThisListFromDictionarySetup"),1);
        	print '</td></tr>';

        print '</tbody>';
        print '</table>';

        dol_fiche_end();

        print '<div class="center">';
        print '<input type="submit" value="'.$langs->trans("Valider le formulaire").'" name="bouton" class="button">';
        print '&nbsp; &nbsp; ';
        print '<input type="button" value="'.$langs->trans("Cancel").'" class="button" onclick="history.go(-1)">';
        print '</div>';

        print '</form>'."\n";
}
// End of page
llxFooter();
$db->close();
